KD SOAP API Documentation: KDSoapValue.cpp File Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Functions
KDSoapValue.cpp File Reference
`#include "KDSoapValue.h"`
`#include "KDDateTime.h"`
`#include "KDSoapNamespaceManager.h"`
`#include "KDSoapNamespacePrefixes_p.h"`
`#include <QDateTime>`
`#include <QDebug>`
`#include <QStringList>`
`#include <QUrl>`
Include dependency graph for KDSoapValue.cpp:

Go to the source code of this file.

## Functions
QDebug | operator<< (QDebug dbg, const KDSoapValue &value)
uint | qHash (const KDSoapValue &value)
static QString | variantToTextValue (const QVariant &value, const QString &typeNs, const QString &type)
static QString | variantToXMLType (const QVariant &value)

## Function Documentation

## ◆ operator<<()

QDebug operator<< | ( | QDebug | dbg,
|  | const KDSoapValue & | value
| ) |  |

Definition at line 370 of file KDSoapValue.cpp.

References KDSoapValueList::attributes(), KDSoapValue::childValues(), QListIterator::hasNext(), QList::isEmpty(), KDSoapValue::name(), QListIterator::next(), QDebug::space(), and KDSoapValue::value().

## ◆ qHash()

uint qHash | ( | const KDSoapValue & | value | ) |

Definition at line 49 of file KDSoapValue.cpp.

References KDSoapValue::name(), and qHash().

Referenced by qHash().

## ◆ variantToTextValue()

static QString variantToTextValue | ( | const QVariant & | value,
|  | const QString & | typeNs,
|  | const QString & | type
| ) |  |
| static

Definition at line 165 of file KDSoapValue.cpp.

References QString::arg(), QVariant::Bool, QVariant::ByteArray, QVariant::canConvert(), QVariant::Char, QByteArray::constData(), QVariant::Date, QVariant::DateTime, QVariant::Double, QMetaType::Float, QString::fromLatin1(), QVariant::Int, QVariant::Invalid, Qt::ISODate, QVariant::LongLong, QTime::msec(), QString::number(), QByteArray::size(), QVariant::String, QVariant::Time, QByteArray::toBase64(), QVariant::toByteArray(), QVariant::toDate(), KDDateTime::toDateString(), QVariant::toDateTime(), QByteArray::toHex(), QVariant::toLongLong(), QVariant::toString(), QDate::toString(), QTime::toString(), QUrl::toString(), QVariant::toTime(), QVariant::toULongLong(), QVariant::toUrl(), QVariant::typeName(), QVariant::UInt, QVariant::ULongLong, QVariant::Url, QVariant::userType(), QVariant::value(), KDSoapNamespaceManager::xmlSchema1999(), and KDSoapNamespaceManager::xmlSchema2001().

## ◆ variantToXMLType()

static QString variantToXMLType | ( | const QVariant & | value | ) |
| static

Definition at line 232 of file KDSoapValue.cpp.

References QString::arg(), QVariant::Bool, QVariant::ByteArray, QVariant::canConvert(), QVariant::Char, QVariant::Date, QVariant::DateTime, QVariant::Double, QMetaType::Float, QString::fromLatin1(), QVariant::Int, QVariant::LongLong, QVariant::String, QVariant::Time, QVariant::typeName(), QVariant::UInt, QVariant::ULongLong, QVariant::Url, and QVariant::userType().

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8